# Storytellers 📖 Handbook

## Overview

It's no secret that governance and technical documentation can be kind of on the boring side. And that's ok - it's not there to put on a circus but provide valuable information and get you were you need to go.

In this role, Storytellers are here for both! Storytellers will take us on journeys through words and visuals to help us craft...
TODO add more here

## Workflow ⚡️

### Upstream Marketing Process

#### Idea Paths

There are multiple ways to successfully contribute a Kubernetes blog post. Here are some of the common paths to help you do so:


**To start:** 

* Open a [Contributor Comms Requests issue](https://github.com/kubernetes/community/issues) to share your blog idea, or attend an [Upstream Marketing team](https://github.com/kubernetes/community/tree/master/communication/marketing-team) meeting to discuss it ahead of time

**To write:**

* Create an initial draft -- it is always easier to work from some written down ideas than to do so from scratch
  * A draft can be written in:
    * Google Docs or
    * Markdown (and shared via [Gist](https://gist.github.com/) or [HackMD](https://hackmd.io/))
* Connect with a storyteller -- if you reach out to Upstream Marketing, you will be paired with someone to help you through writing, editing, and getting your article published
  * Discussion happens via GitHub issue or through working group meetings
* This includes working with Upstream Marketing team to polish, and format your blog post
  * There is not a single canonical format for documents, but we do have [guidelines for effective articles](https://github.com/kubernetes/community/blob/master/communication/marketing-team/blog-guidelines.md#how-to-write-an-effective-blog)
  * There are further technical considerations by the [Blog team](https://github.com/kubernetes/community/blob/4026287dc3a2d16762353b62ca2fe4b80682960a/sig-docs/blog-subproject/README.md#submit-a-post)

When it's ready, submit the blog post: 

* Go to the `kubernetes/website` repository
* Open a PR with your added blog post
  * If you need help with this process, Upstream Marketing will look to pair you with someone for PR and shepherd it through the review cycle

Or if you already have everything you think you need you can:

* Go to the `kubernetes/website` repo and send a PR
* There's a Kubernetes blog team that will walk you through [the process](https://kubernetes.io/docs/contribute/new-content/blogs-case-studies/)

### Tips

Converting gdoc to markdown?

* go to: https://discuss.kubernetes.io/
* Open a new topic
* Paste gdoc into new topic window
  * Discourse will automatically convert it to markdown 🎉 
* Now you can copy the markdown text, with all its original formatting, and paste it into your blog post file (this will often be a text file you are editing on your computer from a text editor like VS Code)
* Be sure to add the syntax required at the top of the blog post (see links above)
* Now you are ready to submit it as a PR

## Minimum Skills and Experience

- Have a passion for telling stories, technical writing, journalism, and painting pictures with words
- Desire to be a Kubernetes Org Member and if not already, work your way towards membership
- Comfortable with working with GitHub workflows or working in a collaborative doc tool with the Editor  

## Expectations

Anyone is welcome to contribute when they have time. The core expectation of storytelling is taking responsibility for getting the story from inception to published.

If you would like to be listed as a member of the team, here are the expectations:

1. Be prepared to write one blog a quarter and participate in edits to other articles. The time commitment is typically 5-10 hours per quarter depending on the number of blog posts in the review queue.
2. Storytellers are expected to attend at least one upstream marketing team meeting a month or check-in to remain active.
3. Remain non-partial: if you receive a request to write about a project, an individual, or a group of people from your employer, you should ask an impartial blogger to write it.
4. As with all contribution to Kubernetes, adhere to the [code of conduct](/code-of-conduct.md), values, and principles of the project.

There is no shadow roles for Storytellers. If Storytellers are interested in
becoming the teams sig-docs-liaison they should follow the process for the
community role on the sig-docs-blog team. TODO add link here
